## org.eclipse.jetty.plus.annotation
Class RunAsCollection

    java.lang.Object
      org.eclipse.jetty.plus.annotation.RunAsCollection

    public class RunAsCollection

extends Object

RunAsCollection

Field Summary
`static String` `RUNAS_COLLECTION`

Constructor Summary
`RunAsCollection()`

Method Summary
`void` `add(RunAs runAs)`
`RunAs` `getRunAs(Object o)`
`void` `setRunAs(Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RUNAS_COLLECTION

    public static final String RUNAS_COLLECTION

See Also:
  Constant Field Values

Constructor Detail

### RunAsCollection

    public RunAsCollection()

Method Detail

### add

    public void add(RunAs runAs)

### getRunAs

    public RunAs getRunAs(Object o)
                   throws ServletException

  Throws:
    `ServletException`

### setRunAs

    public void setRunAs(Object o)
                  throws ServletException

  Throws:
    `ServletException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.